package com.ejie.ab78.dao.maestros;

import java.util.List;

import com.ejie.ab78.model.maestros.TipoEstablecimiento;
import com.ejie.x38.dto.JQGridRequestDto;
import com.ejie.x38.dto.TableRequestDto;

/**
 * Ab6311s00Dao  
 * 
 *  
 */

public interface TipoEstablecimientoDao {

	TipoEstablecimiento add(TipoEstablecimiento ab6311s00);

	TipoEstablecimiento update(TipoEstablecimiento ab6311s00);

	TipoEstablecimiento find(TipoEstablecimiento ab6311s00);

	void remove(TipoEstablecimiento ab6311s00);

	List<TipoEstablecimiento> findAll(TipoEstablecimiento ab6311s00, JQGridRequestDto jqGridRequestDto);

	List<TipoEstablecimiento> findAllLike(TipoEstablecimiento ab6311s00, TableRequestDto jqGridRequestDto,
			Boolean startsWith);

	Long findAllLikeCount(TipoEstablecimiento ab6311s00, Boolean startsWith);

	Long findAllCount(TipoEstablecimiento ab6311s00);
}
